# $Revision: 1.12 $, $Date: 2004/04/21 06:36:26 $
Summary:	Professional Audio Tools
Summary(pl):	Profesjonalne Narzdzia Audio
Name:		protux
Version:	0.20.1
Release:	2
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://savannah.nongnu.org/download/protux/%{name}-%{version}.tar.gz
# Source0-md5:	9fe44d4df01309a52570c60c58a5a231
URL:		http://www.nongnu.org/protux/
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libmustux-devel >= 0.20.1
# checked for but not used
#BuildRequires:	libogg-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	qt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Protux aims to be the most practical and one of the most powerful
audio tools for Linux. Protux will allow you to use the power of
keyboard+mouse combination (with no clicks) to vastly speed up the
process of audio production. The authors call this concept
"Jog-Mouse-Board" or JMB, for short.

%description -l pl
Protux ma by najbardziej praktycznym i jednym z najpotniejszych
narzdzi dwikowych dla Linuksa. Protux pozwoli na uycie potgi
poczenia klawiatura+mysz (bez klikania), aby wybitnie przyspieszy
proces produkcji dwiku. Autorzy nazywaj ten pomys
"Jog-Mouse-Board", w skrcie JMB.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-mustux-lib-dir=%{_libdir} \
	--with-qt-lib-dir=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/protux

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: protux.spec,v $
Revision 1.12  2004/04/21 06:36:26  qboosh
- fixed build on amd64, release 2

Revision 1.11  2004/04/20 23:26:29  qboosh
- updated to 0.20.1, removed obsolete patch

Revision 1.10  2004/03/12 15:12:20  gotar
- temporary Source0 URL

Revision 1.9  2004/03/12 14:15:00  gotar
- more cosmetics

Revision 1.8  2004/03/12 14:13:36  gotar
- we're not Debian

Revision 1.7  2004/03/11 15:05:54  adasi
 - 0.20.0
 - there's something wrong with sources, temporairly I hope

Revision 1.6  2003/09/09 22:20:58  gotar
- added protux-long.patch

Revision 1.5  2003/09/09 22:14:09  gotar
- upgraded to 0.19.3

Revision 1.4  2003/07/04 14:15:40  qboosh
- added missing am_edit, finished file list, BR: libmustux-devel,qt-devel

Revision 1.3  2003/07/04 11:50:38  qboosh
- description (from homepage)

Revision 1.2  2003/06/09 18:32:46  mmazur
- time consuming ac/am regeneration fixes... finally works
- adasi now go fix the build errors :)

Revision 1.1  2003/06/08 19:36:26  adasi
 - initial rev.
 - ac/am works to be done
